<template>
  <vue-scroll class="login-page align-vertical">
    <div class="form-wrapper align-vertical-middle">
      <div class="form-box card-base card-shadow--extraLarge">
        <img
          class="image-logo"
          :src="'/static/images/bee.png'"
          alt="logo"
        />
        <el-alert
          v-if="loginFailed"
          :closable="false"
          title="Email or password is incorrect!"
          center
          type="error"
        >
        </el-alert><br />
        <form
          @submit.prevent="login"
          @keyup.enter="login"
        >
          <float-label class="styled">
            <input
              type="email"
              placeholder="E-mail"
              v-model="email"
              :autofocus="'autofocus'"
            >
          </float-label>
          <float-label class="styled">
            <input
              type="password"
              placeholder="Password"
              v-model="pass"
            >
          </float-label>

          <!--<div class="flex">-->
          <!--<div class="box grow"><el-checkbox>Remember Me </el-checkbox></div>-->
          <!--<div class="box grow text-right"><router-link to="/dashboard">Forgot Password?</router-link></div>-->
          <!--</div>-->

          <div class="flex text-center center pt-30 pb-10">
            <el-button
              plain
              size="small"
              @click="login"
              class="login-btn tada animated"
              :loading="loading"
            >
              LOGIN
            </el-button>
          </div>
        </form>

        <!--<div class="text-divider mv-10">or</div>-->

        <!--<div class="flex column center pt-10 pb-10">			-->
        <!--<el-button plain size="small" @click="login" class="social-btn google">-->
        <!--Log in with Google-->
        <!--</el-button>-->
        <!--<el-button plain size="small" @click="login" class="social-btn facebook">-->
        <!--Log in with Facebook-->
        <!--</el-button>-->
        <!--</div>-->

        <!--<div class="text-center signin-box pt-20">-->
        <!--Don't have an account? <a>Sign in</a>-->
        <!--</div>-->
      </div>
    </div>
  </vue-scroll>
</template>

<script>
import {
  auth as authAPI,
  account as accountAPI
} from '~/services/apis/index';
import helper from '~/services/helper';
import randomstring from 'random-string';

export default {
  name: 'Login',
  data () {
    return {
      form: {
        email: '',
        password: '',
      },
      email: '',
      pass: '',
      loginFailed: false,
      loading: false
    }
  },
  created () {
    if (this.$store.state.auth.isAuth) {
      this.handleLogged();
    }
  },
  methods: {
    login () {
      this.loading = true;
      this.loginFailed = false;
      authAPI.login(this.email, this.pass)
        .then((response) => {
          const auth = {
            isAuth: true,
            authToken: randomstring({ length: 200 }),
          }
          this.$store.commit(
            'setAuth',
            auth
          );
          //eslint-disable-next-line
          console.log('auth :', auth)
          this.handleLogged();
          this.loading = false;
        })
        .catch((error) => {
          console.log(error);
          this.loginFailed = true;
          this.loading = false;
        })

    },
    handleLogged () {
      //   this.$store.dispatch('initProfile');
      if (this.$route.query && this.$route.query.redirect) {
        this.$router.replace({ path: this.$route.query.redirect });
      } else {
        this.$router.replace({ name: 'blog' });
      }
    }
  }
}
</script>

<style lang="scss">
@import "../../../assets/scss/_variables";

.login-page {
  background: $text-color;
  margin-left: -30px;
  margin-right: -30px;

  .form-wrapper {
    width: 100%;
  }

  .form-box {
    width: 100%;
    max-width: 340px;
    padding: 30px;
    box-sizing: border-box;
    margin: 20px auto;

    a {
      font-size: 14px;
      color: $text-color-accent;
      text-decoration: none;
      font-weight: 500;
    }

    .image-logo {
      height: 45px;
      margin: 0px auto;
      margin-bottom: 30px;
      display: block;
    }

    .login-btn,
    .social-btn {
      width: 160px;

      &.google {
        margin-bottom: 10px;
        background-color: #d73d32;
        color: white;

        &:hover {
          border-color: #d73d32;
        }
      }
      &.facebook {
        background-color: #3f5c9a;
        color: white;

        &:hover {
          border-color: #3f5c9a;
        }
      }
    }

    .signin-box {
      font-size: 14px;
    }
  }
}

@media (max-width: 768px) {
  .layout-container .container .view.login-page {
    margin-left: -5px;
    margin-right: -5px;
    max-width: calc(100% + 10px);
  }
}
</style>
